## org.hibernate.event
Interface RefreshEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultRefreshEventListener

    public interface RefreshEventListener

extends Serializable

Defines the contract for handling of refresh events generated from a session.

Author:
  Steve Ebersole

Method Summary
`void` `onRefresh(RefreshEvent event)` Handle the given refresh event.
`void` `onRefresh(RefreshEvent event, Map refreshedAlready)`

Method Detail

### onRefresh

    void onRefresh(RefreshEvent event)
                   throws HibernateException

  Handle the given refresh event.

  Parameters:
    `event` - The refresh event to be handled.
  Throws:
    `HibernateException`

### onRefresh

    void onRefresh(RefreshEvent event,
                   Map refreshedAlready)
                   throws HibernateException

  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.